<?php
	/*
		feature.php
		
		Code for handling feature boxes

		Copyright (C) 2006 Jeff Teunissen <deek@quakeforge.net>

		This program is free software; you can redistribute it and/or
		modify it under the terms of the GNU General Public License
		as published by the Free Software Foundation; either version 2
		of the License, or (at your option) any later version.

		This program is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

		See the GNU General Public License for more details.

		You should have received a copy of the GNU General Public License
		along with this program; if not, write to:

		Free Software Foundation, Inc.
		59 Temple Place - Suite 330
		Boston, MA  02111-1307, USA.
	*/
	have ("feature");

	function featureOpen ($title, $url=null, $id=null)
	{
		if ($url) {
			$part1 = '<A href="' . $url . '">';
			$part2 = '</A>';
		}
		if ($id)
			$id = " id=\"$id\"";

		echo "<DIV$id class=\"featureBox\">";
		echo '<H2 class="featureTitle">' . $part1 . $title . $part2 . '</H2>';
		echo '<DIV class="featureContent">';
	}

	function featureClose ()
	{
		echo '</DIV></DIV>';
	}
?>